Mycroft Community Forum

Mycroft not responding to "pair my device"

Installed Mycroft on Manjaro (Arch) linux using instructions.
When I say “Hey Mycroft” I get a sound and I can see a new recording application. However, when I say “pair my device” I get no reply.

I am connected to the internet (writing from problem machine) and chose to use mycroft’s cloud Mimic.

Not sure what logs I should provide, but anyways:
Already up to date.
Starting all mycroft-core services
Initializing…
Starting background service bus
CAUTION: The Mycroft bus is an open websocket with no built-in security
measures. You are responsible for protecting the local port
8181 with a firewall as appropriate.
Starting background service skills
Starting background service audio
Starting background service voice
Starting background service enclosure

EDIT: Ok I have found the pairing code using the CLI but it still doesn’t reply IN VOICE.

try in terminal
pactl list sinks short
then
pactl set-default-sink (your sink id from pactl list)
and
./start-mycroft.sh all reset
it sets default audio output
https://mycroft-ai.gitbook.io/docs/using-mycroft-ai/troubleshooting/audio-troubleshooting

It still doesn’t work :frowning:

can you post audio log and don’t forgot to reboot
log files are located at /var/log/mycroft/

Where do I find the audio log?

cd /var/log/mycroft/
there is audio.log open it with nano

you can try to open alsamixer and check volume too

2019-12-14 12:18:10.929 | INFO     | 15181 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs
2019-12-14 12:18:11.755 | ERROR    | 15181 | mycroft.tts:create:520 | The TTS could not be loaded.
Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 170, in validate_connection
    subprocess.call([BIN, '--version'])
  File "/usr/lib/python3.8/subprocess.py", line 340, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.8/subprocess.py", line 1583, in _execute_child
    and os.path.dirname(executable)
  File "/usr/lib/python3.8/posixpath.py", line 152, in dirname
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 510, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 172, in validate_connection
    LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not "NoneType") to str
Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 170, in validate_connection
    subprocess.call([BIN, '--version'])
  File "/usr/lib/python3.8/subprocess.py", line 340, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.8/subprocess.py", line 1583, in _execute_child
    and os.path.dirname(executable)
  File "/usr/lib/python3.8/posixpath.py", line 152, in dirname
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 192, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/noam/mycroft-core/mycroft/audio/__main__.py", line 49, in <module>
    main()
  File "/home/noam/mycroft-core/mycroft/audio/__main__.py", line 36, in main
    speech.init(bus)
  File "/home/noam/mycroft-core/mycroft/audio/speech.py", line 175, in init
    tts = TTSFactory.create()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 510, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 172, in validate_connection
    LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not "NoneType") to str
Exception ignored in: <module 'threading' from '/usr/lib/python3.8/threading.py'>
Traceback (most recent call last):
  File "/usr/lib/python3.8/threading.py", line 1388, in _shutdown
    lock.acquire()
KeyboardInterrupt: 
2019-12-14 12:38:31.388 | INFO     | 21689 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs
2019-12-14 12:38:32.424 | ERROR    | 21689 | mycroft.tts:create:520 | The TTS could not be loaded.
Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 170, in validate_connection
    subprocess.call([BIN, '--version'])
  File "/usr/lib/python3.8/subprocess.py", line 340, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.8/subprocess.py", line 1583, in _execute_child
    and os.path.dirname(executable)
  File "/usr/lib/python3.8/posixpath.py", line 152, in dirname
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 510, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 172, in validate_connection
    LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not "NoneType") to str
Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 170, in validate_connection
    subprocess.call([BIN, '--version'])
  File "/usr/lib/python3.8/subprocess.py", line 340, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.8/subprocess.py", line 1583, in _execute_child
    and os.path.dirname(executable)
  File "/usr/lib/python3.8/posixpath.py", line 152, in dirname
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 192, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/noam/mycroft-core/mycroft/audio/__main__.py", line 49, in <module>
    main()
  File "/home/noam/mycroft-core/mycroft/audio/__main__.py", line 36, in main
    speech.init(bus)
  File "/home/noam/mycroft-core/mycroft/audio/speech.py", line 175, in init
    tts = TTSFactory.create()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 510, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 172, in validate_connection
    LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not "NoneType") to str
2019-12-14 19:52:20.202 | WARNING  |  2336 | mycroft.api:check_remote_pairing:531 | Could not get device info: ConnectionError(MaxRetryError("HTTPSConnectionPool(host='api.mycroft.ai', port=443): Max retries exceeded with url: /v1/device/69aa4f54-72f5-4246-8c80-69af9c2babe8 (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a27336550>: Failed to establish a new connection: [Errno -2] Name or service not known'))"))
2019-12-14 19:52:20.476 | INFO     |  2336 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs
2019-12-14 19:52:20.498 | WARNING  |  2336 | gtts.tts | Unable to get language list: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a271befd0>: Failed to establish a new connection: [Errno -2] Name or service not known'))
2019-12-14 19:52:20.506 | ERROR    |  2336 | mycroft.tts:create:514 | The selected TTS backend couldn't be loaded. Falling back to Mimic
Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connection.py", line 158, in _new_conn
    conn = connection.create_connection(
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/util/connection.py", line 57, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "/usr/lib/python3.8/socket.py", line 914, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 597, in urlopen
    httplib_response = self._make_request(conn, method, url,
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
    conn.connect()
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connection.py", line 301, in connect
    conn = self._new_conn()
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connection.py", line 167, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 637, in urlopen
    retries = retries.increment(method, url, error=e, _pool=self,
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/util/retry.py", line 399, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts/tts.py", line 189, in write_to_fp
    part_tk = self.token.calculate_token(part)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts_token/gtts_token.py", line 28, in calculate_token
    seed = self._get_token_key()
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts_token/gtts_token.py", line 55, in _get_token_key
    response = requests.get("https://translate.google.com/")
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/sessions.py", line 524, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/sessions.py", line 637, in send
    r = adapter.send(request, **kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/google_tts.py", line 41, in validate_connection
    gTTS(text='Hi').save(self.tts.filename)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts/tts.py", line 249, in save
    self.write_to_fp(f)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts/tts.py", line 192, in write_to_fp
    raise gTTSError(
gtts.tts.gTTSError: Connection error during token calculation: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 510, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/google_tts.py", line 43, in validate_connection
    raise Exception(
Exception: GoogleTTS server could not be verified. Please check your internet connection.
Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connection.py", line 158, in _new_conn
    conn = connection.create_connection(
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/util/connection.py", line 57, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "/usr/lib/python3.8/socket.py", line 914, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 597, in urlopen
    httplib_response = self._make_request(conn, method, url,
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
    conn.connect()
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connection.py", line 301, in connect
    conn = self._new_conn()
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connection.py", line 167, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 637, in urlopen
    retries = retries.increment(method, url, error=e, _pool=self,
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/urllib3/util/retry.py", line 399, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts/tts.py", line 189, in write_to_fp
    part_tk = self.token.calculate_token(part)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts_token/gtts_token.py", line 28, in calculate_token
    seed = self._get_token_key()
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts_token/gtts_token.py", line 55, in _get_token_key
    response = requests.get("https://translate.google.com/")
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/sessions.py", line 524, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/sessions.py", line 637, in send
    r = adapter.send(request, **kwargs)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/google_tts.py", line 41, in validate_connection
    gTTS(text='Hi').save(self.tts.filename)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts/tts.py", line 249, in save
    self.write_to_fp(f)
  File "/home/noam/mycroft-core/.venv/lib/python3.8/site-packages/gtts/tts.py", line 192, in write_to_fp
    raise gTTSError(
gtts.tts.gTTSError: Connection error during token calculation: HTTPSConnectionPool(host='translate.google.com', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a24144040>: Failed to establish a new connection: [Errno -2] Name or service not known'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 510, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/google_tts.py", line 43, in validate_connection
    raise Exception(
Exception: GoogleTTS server could not be verified. Please check your internet connection.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 170, in validate_connection
    subprocess.call([BIN, '--version'])
  File "/usr/lib/python3.8/subprocess.py", line 340, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.8/subprocess.py", line 1583, in _execute_child
    and os.path.dirname(executable)
  File "/usr/lib/python3.8/posixpath.py", line 152, in dirname
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 192, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/noam/mycroft-core/mycroft/audio/__main__.py", line 49, in <module>
    main()
  File "/home/noam/mycroft-core/mycroft/audio/__main__.py", line 36, in main
    speech.init(bus)
  File "/home/noam/mycroft-core/mycroft/audio/speech.py", line 175, in init
    tts = TTSFactory.create()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 518, in create
    tts.validator.validate()
  File "/home/noam/mycroft-core/mycroft/tts/__init__.py", line 432, in validate
    self.validate_connection()
  File "/home/noam/mycroft-core/mycroft/tts/mimic_tts.py", line 172, in validate_connection
    LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not "NoneType") to str

it is look like your language is set wrong ?
2336 | gtts.tts | Unable to get language list

[ quote=“bugthug, post:8, topic:7695”]
2019-12-14 19:52:20.202 | WARNING | 2336 | mycroft.api:check_remote_pairing:531 | Could not get device info: ConnectionError(MaxRetryError(“HTTPSConnectionPool(host=‘api.mycroft.ai’, port=443): Max retries exceeded with url: /v1/device/69aa4f54-72f5-4246-8c80-69af9c2babe8 (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a27336550>: Failed to establish a new connection: [Errno -2] Name or service not known’))”)) 2019-12-14 19:52:20.476 | INFO | 2336 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs 2019-12-14 19:52:20.498 | WARNING | 2336 | gtts.tts | Unable to get language list: HTTPSConnectionPool(host=‘translate.google.com’, port=443): Max retries exceeded with url: / (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7f0a271befd0>: Failed to establish a new connection: [Errno -2] Name or service not known’))
[/quote]

mycroft.api:check_remote_pairing:531 | Could not get device info

have you got those in mycroft.conf
“server”: {
“url”: “https://api.mycroft.ai”,
“version”: “v1”,
“update”: true,
“metrics”: false
},

my mycroft.conf looks like this (after adding the setting):

{
  "max_allowed_core_version": 19.8,
   “server”: {
    “url”: “https://api.mycroft.ai”,
    “version”: “v1”,
    “update”: true,
    “metrics”: false
    }
}

still doesn’t work tho :frowning:

Nevermind, it worked! Restarted the pc and now everything is fine :slight_smile:

1 Like